[manager]

prepend_keymap = [
    # # undo trash
    # { on = "u",                 run = "plugin restore",           desc = "Restore last deleted files/folders" },
    # # compress
    # { on = "C",                 run = "plugin ouch --args=zip",   desc = "Compress with ouch" },
    # Goto
    { on = [ "g", "h" ],        run = "cd ~",                     desc = "Go to ~" },
    { on = [ "g", "c" ],        run = "cd ~/.config",             desc = "Go to ~/.config" },
    { on = [ "g", "a" ],        run = "cd ~/.cache",              desc = "Go to ~/.cache" },
    { on = [ "g", "n" ],        run = "cd ~/NextCloud/Documents/",desc = "Go to NextCloud Documents" },
    { on = [ "g", "l", "b" ],   run = "cd ~/.local/bin",          desc = "Go to ~/.local/bin" },
    { on = [ "g", "l", "s" ],   run = "cd ~/.local/share",        desc = "Go to ~/.local/share" },
    { on = [ "g", "s", "h" ],   run = "cd ~/.steam/steam/steamapps/common",        desc = "Go to ~/.steam/steam/steamapps/common" },
    { on = [ "g", "s", "g" ],   run = "cd /mnt/games/SteamLibrary", desc = "Go to SteamLibrary on NTFS partition" },
    { on = [ "g", "s", "s" ],   run = "cd /mnt/secondary/SteamLibrary", desc = "Go to SteamLibrary on main games drive" },
    { on = [ "g", "o" ],        run = "cd /mnt/janis/Documents",  desc = "Go to Documents" },
    { on = [ "g", "d" ],        run = "cd ~/Downloads",           desc = "Go to ~/Downloads" },
    { on = [ "g", "p" ],        run = "cd /mnt/janis/Pictures",   desc = "Go to Pictures" },
    { on = [ "g", "t" ],        run = "cd /tmp",                  desc = "Go to /tmp" },
    { on = [ "g", "/" ],        run = "cd /",                     desc = "Go to /" },
    { on = [ "g", "m" ],        run = "cd /run/media/$USER",      desc = "Go to /run/media" },
    { on = [ "g", "<Space>" ],  run = "cd --interactive",         desc = "Go to interactively" },
]
